{
  "$schema": "https://json.schemastore.org/nest-cli",
  "collection": "@nestjs/schematics",
  "monorepo": true,
  "root": "apps/api-gateway",
  "sourceRoot": "apps/api-gateway/src",
  "compilerOptions": {
    "deleteOutDir": true
  },
  "projects": {
    "api-gateway": {
      "type": "application",
      "root": "apps/api-gateway",
      "entryFile": "main",
      "sourceRoot": "apps/api-gateway/src",
      "compilerOptions": {
        "webpack": false,
        "tsConfigPath": "apps/api-gateway/tsconfig.app.json"
      }
    },
    "notification-service": {
      "type": "application",
      "root": "apps/notification-service",
      "entryFile": "main",
      "sourceRoot": "apps/notification-service/src",
      "compilerOptions": {
        "webpack": true,
        "tsConfigPath": "apps/notification-service/tsconfig.app.json"
      }
    },
    "contracts": {
      "type": "library",
      "root": "libs/contracts",
      "entryFile": "index",
      "sourceRoot": "libs/contracts/src",
      "compilerOptions": {
        "tsConfigPath": "libs/contracts/tsconfig.lib.json"
      }
    },
    "events": {
      "type": "library",
      "root": "libs/events",
      "entryFile": "index",
      "sourceRoot": "libs/events/src",
      "compilerOptions": {
        "tsConfigPath": "libs/events/tsconfig.lib.json"
      }
    },
    "common": {
      "type": "library",
      "root": "libs/common",
      "entryFile": "index",
      "sourceRoot": "libs/common/src",
      "compilerOptions": {
        "tsConfigPath": "libs/common/tsconfig.lib.json"
      }
    }
  }
}
